<?php
/*
Plugin Name: Onyx Messaging
Description: Sends WhatsApp messages/notifications to the WooCommerce customers and admin using OnyxBerry API.
Version: 1.0
Author: Hussain
Website: https://onyxberry.com/services/wapi
*/

// Define and load necessary assets and styles here.

// Include other plugin files
require_once plugin_dir_path(__FILE__) . 'admin-settings.php';
require_once plugin_dir_path(__FILE__) . 'message-sender.php';

register_activation_hook(__FILE__, 'whatsapp_messaging_plugin_activation');

function whatsapp_messaging_plugin_activation() {
    // Set default values for plugin settings here
    add_option('whatsapp_messaging_enable_woocommerce_orders', true);
    add_option('whatsapp_messaging_enable_contact_form', true);
    add_option('whatsapp_messaging_enable_user_registration', true);

    // Set default messages
    add_option('whatsapp_messaging_order_message', 'Thank you for your order, we will notify you once your order is processed.');
    add_option('whatsapp_messaging_contact_form_message', 'Thank you for contacting us. We will get back to you as soon as possible.');
    add_option('whatsapp_messaging_user_registration_message', 'Welcome to our website. Thank you for Registering with us.');

    add_option('whatsapp_messaging_user_login_message', '{{user_name}} having email {{user_email}} was logged in.');
    add_option('whatsapp_messaging_comment_submission_message', 'There is a new comment on the website by {{comment_author}}.');
    add_option('whatsapp_messaging_post_publish_message', 'Post has been published.');
    add_option('whatsapp_messaging_post_update_message', 'Post has been updated.');
    add_option('whatsapp_messaging_password_reset_message', 'User has reset the password.');
}

